<?xml version="1.0"?>
<launch>

  <arg name="load_state_filename" default="$(find cartographer_launcher)/maps/mapa_sim.pbstream" />
  <arg name="configuration_basename" default="turtlebot3_lds_pure2d_sim_nav.lua" />
  <arg name="model" default="$(env TURTLEBOT3_MODEL)" doc="model type [burger, waffle, waffle_pi]" />
  <arg name="open_rviz" default="true" />
  <arg name="slam_methods" default="cartographer" doc="slam type [gmapping, cartographer, hector, karto, frontier_exploration]" />

  <include file="$(find turtlebot3_bringup)/launch/turtlebot3_remote.launch">
    <arg name="model" value="$(arg model)" />
  </include>

  <!-- move_base -->
  <include file="$(find turtlebot3_navigation)/launch/move_base.launch">
    <arg name="model" value="$(arg model)" />
  </include>


  <include file="$(find turtlebot_sim)/launch/my_turtlebot_launcher.launch">
    <arg name="model" value="$(arg model)" />
  </include>

  <node pkg="cartographer_ros" type="cartographer_node" name="cartographer_node" args="-configuration_directory $(find cartographer_launcher)/config               -configuration_basename $(arg configuration_basename)               -load_state_filename $(arg load_state_filename)" output="screen"></node>
  <!-- cartographer_occupancy_grid_node -->
  <node pkg="cartographer_ros" type="cartographer_occupancy_grid_node" name="cartographer_occupancy_grid_node" args="-resolution 0.05" />
  <!-- rviz -->

  <group if="$(arg open_rviz)">
    <node pkg="rviz" type="rviz" name="rviz" required="true" args="-d $(find cartographer_launcher)/rviz/turtlebot3_$(arg slam_methods).rviz" />
  </group>

</launch>